# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "qlogger_client/version"

Gem::Specification.new do |s|
  s.name        = 'qlogger_client'
  s.version     = QloggerClient::VERSION
  s.date        = '2019-09-15'
  s.summary     = 'Logs send and retrieve gem'
  s.description = 'Send and retrieve logs to and from your qlogger microservice!'
  s.authors     = ["Daniel Sousa"]
  s.email       = 'mail@danielsousa.io'
  s.files       = ["lib/qlogger_client.rb"]
  s.homepage    = 'https://rubygems.org/gems/qlogger_client'
  s.license     = 'MIT'

  s.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  s.bindir        = "exe"
  s.executables   = s.files.grep(%r{^exe/}) { |f| File.basename(f) }
  s.require_paths = ["lib"]

  s.add_development_dependency "bundler", "~> 2.0"
  s.add_development_dependency "rake", "~> 12.0"
  s.add_development_dependency "rspec", "~> 3.8"

  s.add_dependency "rest-client", "~> 2.1"
  s.add_dependency "jwt", "~> 2.2"
end
